Package com.mapd.thrift.server

## Class MapD.unshare_dashboard_args

- java.lang.Object
- - com.mapd.thrift.server.MapD.unshare_dashboard_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<MapD.unshare_dashboard_args>`, `org.apache.thrift.TBase<MapD.unshare_dashboard_args,​MapD.unshare_dashboard_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  MapD

    public static class MapD.unshare_dashboard_args
    extends Object
    implements org.apache.thrift.TBase<MapD.unshare_dashboard_args,​MapD.unshare_dashboard_args._Fields>, Serializable, Cloneable, Comparable<MapD.unshare_dashboard_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `MapD.unshare_dashboard_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `dashboard_id`
`List<String>` `groups`
`static Map<MapD.unshare_dashboard_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<String>` `objects`
`TDashboardPermissions` `permissions`
`String` `session`

### Constructor Summary

Constructors
`unshare_dashboard_args()`
`unshare_dashboard_args​(MapD.unshare_dashboard_args other)` Performs a deep copy on other.
`unshare_dashboard_args​(String session, int dashboard_id, List<String> groups, List<String> objects, TDashboardPermissions permissions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToGroups​(String elem)`
`void` `addToObjects​(String elem)`
`void` `clear()`
`int` `compareTo​(MapD.unshare_dashboard_args other)`
`MapD.unshare_dashboard_args` `deepCopy()`
`boolean` `equals​(MapD.unshare_dashboard_args that)`
`boolean` `equals​(Object that)`
`MapD.unshare_dashboard_args._Fields` `fieldForId​(int fieldId)`
`int` `getDashboard_id()`
`Object` `getFieldValue​(MapD.unshare_dashboard_args._Fields field)`
`List<String>` `getGroups()`
`Iterator<String>` `getGroupsIterator()`
`int` `getGroupsSize()`
`List<String>` `getObjects()`
`Iterator<String>` `getObjectsIterator()`
`int` `getObjectsSize()`
`TDashboardPermissions` `getPermissions()`
`String` `getSession()`
`int` `hashCode()`
`boolean` `isSet​(MapD.unshare_dashboard_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDashboard_id()` Returns true if field dashboard_id is set (has been assigned a value) and false otherwise
`boolean` `isSetGroups()` Returns true if field groups is set (has been assigned a value) and false otherwise
`boolean` `isSetObjects()` Returns true if field objects is set (has been assigned a value) and false otherwise
`boolean` `isSetPermissions()` Returns true if field permissions is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`MapD.unshare_dashboard_args` `setDashboard_id​(int dashboard_id)`
`void` `setDashboard_idIsSet​(boolean value)`
`void` `setFieldValue​(MapD.unshare_dashboard_args._Fields field, Object value)`
`MapD.unshare_dashboard_args` `setGroups​(List<String> groups)`
`void` `setGroupsIsSet​(boolean value)`
`MapD.unshare_dashboard_args` `setObjects​(List<String> objects)`
`void` `setObjectsIsSet​(boolean value)`
`MapD.unshare_dashboard_args` `setPermissions​(TDashboardPermissions permissions)`
`void` `setPermissionsIsSet​(boolean value)`
`MapD.unshare_dashboard_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDashboard_id()`
`void` `unsetGroups()`
`void` `unsetObjects()`
`void` `unsetPermissions()`
`void` `unsetSession()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### dashboard_id

    public int dashboard_id

#### groups

    public List<String> groups

#### objects

    public List<String> objects

#### permissions

    public TDashboardPermissions permissions

#### metaDataMap

    public static final Map<MapD.unshare_dashboard_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### unshare_dashboard_args

    public unshare_dashboard_args()

#### unshare_dashboard_args

    public unshare_dashboard_args​(String session,
                                  int dashboard_id,
                                  List<String> groups,
                                  List<String> objects,
                                  TDashboardPermissions permissions)

#### unshare_dashboard_args

    public unshare_dashboard_args​(MapD.unshare_dashboard_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public MapD.unshare_dashboard_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<MapD.unshare_dashboard_args,​MapD.unshare_dashboard_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<MapD.unshare_dashboard_args,​MapD.unshare_dashboard_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public MapD.unshare_dashboard_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getDashboard_id

    public int getDashboard_id()

#### setDashboard_id

    public MapD.unshare_dashboard_args setDashboard_id​(int dashboard_id)

#### unsetDashboard_id

    public void unsetDashboard_id()

#### isSetDashboard_id

    public boolean isSetDashboard_id()

Returns true if field dashboard_id is set (has been assigned a value) and false otherwise

#### setDashboard_idIsSet

    public void setDashboard_idIsSet​(boolean value)

#### getGroupsSize

    public int getGroupsSize()

#### getGroupsIterator

    public Iterator<String> getGroupsIterator()

#### addToGroups

    public void addToGroups​(String elem)

#### getGroups

    public List<String> getGroups()

#### setGroups

    public MapD.unshare_dashboard_args setGroups​(List<String> groups)

#### unsetGroups

    public void unsetGroups()

#### isSetGroups

    public boolean isSetGroups()

Returns true if field groups is set (has been assigned a value) and false otherwise

#### setGroupsIsSet

    public void setGroupsIsSet​(boolean value)

#### getObjectsSize

    public int getObjectsSize()

#### getObjectsIterator

    public Iterator<String> getObjectsIterator()

#### addToObjects

    public void addToObjects​(String elem)

#### getObjects

    public List<String> getObjects()

#### setObjects

    public MapD.unshare_dashboard_args setObjects​(List<String> objects)

#### unsetObjects

    public void unsetObjects()

#### isSetObjects

    public boolean isSetObjects()

Returns true if field objects is set (has been assigned a value) and false otherwise

#### setObjectsIsSet

    public void setObjectsIsSet​(boolean value)

#### getPermissions

    public TDashboardPermissions getPermissions()

#### setPermissions

    public MapD.unshare_dashboard_args setPermissions​(TDashboardPermissions permissions)

#### unsetPermissions

    public void unsetPermissions()

#### isSetPermissions

    public boolean isSetPermissions()

Returns true if field permissions is set (has been assigned a value) and false otherwise

#### setPermissionsIsSet

    public void setPermissionsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(MapD.unshare_dashboard_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<MapD.unshare_dashboard_args,​MapD.unshare_dashboard_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(MapD.unshare_dashboard_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<MapD.unshare_dashboard_args,​MapD.unshare_dashboard_args._Fields>`

#### isSet

    public boolean isSet​(MapD.unshare_dashboard_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<MapD.unshare_dashboard_args,​MapD.unshare_dashboard_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(MapD.unshare_dashboard_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(MapD.unshare_dashboard_args other)

Specified by:
  `compareTo` in interface `Comparable<MapD.unshare_dashboard_args>`

#### fieldForId

    public MapD.unshare_dashboard_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<MapD.unshare_dashboard_args,​MapD.unshare_dashboard_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`